netdata.spec.in 36 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086
  1. # SPDX-License-Identifier: GPL-3.0-or-later
  2. %global contentdir %{_datadir}/netdata
  3. %global version @PACKAGE_VERSION@
  4. %global go_version @GO_PACKAGE_VERSION@
  5. %global go_name go.d.plugin
  6. # XXX: We are using automatic `Requires:` generation for libraries
  7. # whenever possible, DO NOT LIST LIBRARY DEPENDENCIES UNLESS THE RESULTANT
  8. # PACKAGE IS BROKEN WITHOUT THEM.
  9. AutoReqProv: yes
  10. # This is temporary and should eventually be resolved. This bypasses
  11. # the default rhel __os_install_p,ost which throws a python compile
  12. # error.
  13. %global __os_install_post %{nil}
  14. # We don’t want LTO as it has a minimal performance impact at runtime
  15. # but a huge impact on build times (we want our CI to not take multiple
  16. # hours to finish).
  17. %global _lto_cflags %nil
  18. # Disable go.d.plugin build on outdated golang distros
  19. %if 0
  20. %if 0%{?centos_ver:1}
  21. %if 0%{?centos_ver} >= 10 && 0%{?almalinux_ver:1} && 0%{?rocky_ver:1}
  22. %global _golang_build 1
  23. %else
  24. %global _golang_build 0
  25. %global _missing_build_ids_terminate_build 0
  26. %endif
  27. %endif
  28. %endif
  29. # Disable eBPF for architectures other than x86
  30. %ifarch x86_64 i386
  31. %global _have_ebpf 1
  32. %else
  33. %global _have_ebpf 0
  34. %endif
  35. # Mitigate the cross-distro mayhem by strictly defining the libexec destination
  36. %define _prefix /usr
  37. %define _sysconfdir /etc
  38. %define _localstatedir /var
  39. %define _libexecdir /usr/libexec
  40. %define _libdir /usr/lib
  41. # Fedora doesn’t define this, but other distros do
  42. %{!?_presetdir:%global _presetdir %{_libdir}/systemd/system-preset}
  43. # Redefine centos_ver to standardize on a single macro
  44. %{?rhel:%global centos_ver %rhel}
  45. # Disable FreeIPMI on Amazon Linux 2023 and newer
  46. %if 0%{?amzn} >= 2023
  47. %global _have_freeipmi 0
  48. %else
  49. %global _have_freeipmi 1
  50. %endif
  51. # Disable NFACCT for RHEL equivalents and Amazon Linux
  52. %if 0%{?centos_ver} || 0%{?amzn}
  53. %global _have_nfacct 0
  54. %else
  55. %global _have_nfacct 1
  56. %endif
  57. Summary: Real-time performance monitoring, done right!
  58. Name: netdata
  59. Version: %{version}
  60. Release: 1%{?dist}
  61. License: GPLv3+
  62. Group: Applications/System
  63. Source0: https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
  64. Source1: https://github.com/%{name}/%{go_name}/releases/download/v%{go_version}/config.tar.gz
  65. Source2: https://github.com/%{name}/%{go_name}/archive/refs/tags/v%{go_version}.tar.gz
  66. URL: http://my-%{name}.io
  67. # Remove conflicting EPEL packages
  68. Obsoletes: %{name}-conf
  69. Obsoletes: %{name}-data
  70. # #####################################################################
  71. # Core build/install/runtime dependencies
  72. # #####################################################################
  73. # Build dependencies
  74. #
  75. BuildRequires: gcc
  76. BuildRequires: gcc-c++
  77. BuildRequires: make
  78. BuildRequires: git-core
  79. BuildRequires: autoconf
  80. %if 0%{?fedora} || 0%{?rhel} >= 7 || 0%{?suse_version} >= 1140
  81. BuildRequires: autoconf-archive
  82. %if 0%{?rhel} <= 8 && 0%{?amzn} < 2023
  83. BuildRequires: autogen
  84. %endif
  85. %endif
  86. BuildRequires: automake
  87. BuildRequires: cmake
  88. BuildRequires: pkgconfig
  89. BuildRequires: curl
  90. BuildRequires: findutils
  91. BuildRequires: zlib-devel
  92. BuildRequires: libuuid-devel
  93. BuildRequires: libuv-devel >= 1
  94. BuildRequires: openssl-devel
  95. BuildRequires: libcurl-devel
  96. %if 0%{?suse_version}
  97. # log2journal is not available on these systems
  98. %else
  99. BuildRequires: pcre2-devel
  100. %endif
  101. %if 0%{?suse_version}
  102. BuildRequires: protobuf-devel
  103. BuildRequires: libprotobuf-c-devel
  104. BuildRequires: liblz4-devel
  105. BuildRequires: libjson-c-devel
  106. BuildRequires: libyaml-devel
  107. %else
  108. %if 0%{?fedora}
  109. BuildRequires: protobuf-devel
  110. BuildRequires: protobuf-c-devel
  111. BuildRequires: lz4-devel
  112. BuildRequires: json-c-devel
  113. BuildRequires: libyaml-devel
  114. %else
  115. %if 0%{?centos_ver} >= 8
  116. BuildRequires: protobuf-devel
  117. BuildRequires: protobuf-c-devel
  118. %endif
  119. BuildRequires: lz4-devel
  120. BuildRequires: json-c-devel
  121. BuildRequires: libyaml-devel
  122. %endif
  123. %endif
  124. # Core build requirements for service install
  125. %if 0%{?suse_version}
  126. BuildRequires: systemd-rpm-macros
  127. %else
  128. BuildRequires: systemd
  129. %endif
  130. # Core requirements for the install to succeed
  131. Requires(pre): /usr/sbin/groupadd
  132. Requires(pre): /usr/sbin/useradd
  133. # #####################################################################
  134. # External plugin package dependencies
  135. # #####################################################################
  136. # CentOS prior to CentOS 8 does not have a new enough version of RPM
  137. # to support weak dependencies. Explicitly requiring our default plugins
  138. # makes it impossible to properly test the packages prior to upload,
  139. # so we just skip depending on them on CentOS 7.
  140. %if 0%{?_have_ebpf}
  141. Requires: %{name}-plugin-ebpf = %{version}
  142. %endif
  143. Requires: %{name}-plugin-apps = %{version}
  144. Requires: %{name}-plugin-pythond = %{version}
  145. Requires: %{name}-plugin-go = %{version}
  146. Requires: %{name}-plugin-debugfs = %{version}
  147. Requires: %{name}-plugin-chartsd = %{version}
  148. Requires: %{name}-plugin-slabinfo = %{version}
  149. Requires: %{name}-plugin-perf = %{version}
  150. %if 0%{?_have_nfacct}
  151. Requires: %{name}-plugin-nfacct = %{version}
  152. %endif
  153. %if 0%{?_have_freeipmi} && 0%{?centos_ver} != 6 && 0%{?centos_ver} != 7 && 0%{?amazon_linux} != 2
  154. Suggests: %{name}-plugin-freeipmi = %{version}
  155. %endif
  156. %if 0%{?centos_ver} != 7 && 0%{?amazon_linux} != 2
  157. Suggests: %{name}-plugin-cups = %{version}
  158. Recommends: %{name}-plugin-systemd-journal = %{version}
  159. Recommends: %{name}-plugin-logs-management = %{version}
  160. %else
  161. Requires: %{name}-plugin-systemd-journal = %{version}
  162. %endif
  163. # #####################################################################
  164. # Functionality-dependent package dependencies
  165. # #####################################################################
  166. # Note: Some or all of the Packages may be found in the EPEL repo,
  167. # rather than the standard ones
  168. # epbf plugin dependencies
  169. %if 0%{?_have_ebpf}
  170. %if 0%{?suse_version}
  171. BuildRequires: libelf-devel
  172. %else
  173. BuildRequires: elfutils-libelf-devel
  174. %endif
  175. %endif
  176. # end ebpf plugin dependencies
  177. # nfacct plugin dependencies
  178. %if 0%{?_have_nfacct}
  179. BuildRequires: libmnl-devel
  180. BuildRequires: libnetfilter_acct-devel
  181. %endif
  182. # end nfacct plugin dependencies
  183. # freeipmi plugin dependencies
  184. %if 0%{?_have_freeipmi}
  185. BuildRequires: freeipmi-devel
  186. %endif
  187. # end - freeipmi plugin dependencies
  188. # CUPS plugin dependencies
  189. %if 0%{?centos_ver} != 6 && 0%{?centos_ver} != 7
  190. BuildRequires: cups-devel >= 1.7
  191. %endif
  192. # end - cups plugin dependencies
  193. # go.d.plugin dependencies
  194. %if 0%{?_golang_build}
  195. %if 0%{?suse_version}
  196. BuildRequires: go
  197. %else
  198. BuildRequires: golang
  199. %endif
  200. %endif
  201. # end - go.d.plugin plugin dependencies
  202. # systemd-journal dependencies
  203. BuildRequires: systemd-devel
  204. # end - systemd-journal dependencies
  205. # Prometheus remote write dependencies
  206. BuildRequires: snappy-devel
  207. # end - prometheus remote write dependencies
  208. # logs-management dependencies
  209. BuildRequires: bison
  210. BuildRequires: flex
  211. # end - logs-management dependencies
  212. # #####################################################################
  213. # End of dependency management configuration
  214. # #####################################################################
  215. %description
  216. netdata is the fastest way to visualize metrics. It is a resource
  217. efficient, highly optimized system for collecting and visualizing any
  218. type of realtime timeseries data, from CPU usage, disk activity, SQL
  219. queries, API calls, web site visitors, etc.
  220. netdata tries to visualize the truth of now, in its greatest detail,
  221. so that you can get insights of what is happening now and what just
  222. happened, on your systems and applications.
  223. %prep
  224. %setup -q -n "%{name}-%{version}"
  225. # Only bundle protobuf on CentOS 7 or earlier
  226. %if 0%{?centos_ver:1}
  227. %if %{centos_ver} < 8
  228. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-protobuf.sh ${RPM_BUILD_DIR}/%{name}-%{version}
  229. %endif
  230. %endif
  231. %if 0%{?_have_ebpf}
  232. %if 0%{?centos_ver:1}
  233. %if %{centos_ver} < 8
  234. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-libbpf.sh ${RPM_BUILD_DIR}/%{name}-%{version} centos7
  235. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-ebpf-co-re.sh ${RPM_BUILD_DIR}/%{name}-%{version}
  236. %else
  237. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-libbpf.sh ${RPM_BUILD_DIR}/%{name}-%{version} centos8
  238. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-ebpf-co-re.sh ${RPM_BUILD_DIR}/%{name}-%{version}
  239. %endif
  240. %else
  241. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-libbpf.sh ${RPM_BUILD_DIR}/%{name}-%{version} other
  242. export CFLAGS="${CFLAGS} -fPIC" && ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-ebpf-co-re.sh ${RPM_BUILD_DIR}/%{name}-%{version}
  243. %endif
  244. %endif
  245. # go.d.plugin
  246. %if 0%{?_golang_build}
  247. mkdir -p "%{_builddir}/%{go_name}"
  248. tar -xzf "%{SOURCE1}" -C "%{_builddir}/%{go_name}"
  249. tar -xzf "%{SOURCE2}" -C "%{_builddir}/%{go_name}"
  250. cd "%{_builddir}/%{go_name}/%{go_name}-%{go_version}"
  251. make download
  252. %endif
  253. %build
  254. # Conf step
  255. autoreconf -ivf
  256. %configure \
  257. %if 0%{!?_have_ebpf}
  258. --disable-ebpf \
  259. %endif
  260. %if 0%{!?_have_freeipmi}
  261. --disable-plugin-freeipmi \
  262. %endif
  263. %if 0%{!?_have_nfacct}
  264. --disable-plugin-nfacct \
  265. %endif
  266. %if 0%{?centos_ver:1}
  267. %if %{centos_ver} < 8
  268. --with-bundled-protobuf \
  269. %endif
  270. %endif
  271. %if 0%{?oraclelinux}
  272. --disable-exporting-mongodb \
  273. %endif
  274. --prefix="%{_prefix}" \
  275. --sysconfdir="%{_sysconfdir}" \
  276. --localstatedir="%{_localstatedir}" \
  277. --libexecdir="%{_libexecdir}" \
  278. --libdir="%{_libdir}" \
  279. --with-zlib \
  280. --with-math \
  281. --with-user=%{name} \
  282. --disable-dependency-tracking
  283. # Build step
  284. %{__make} %{?_smp_mflags}
  285. # Build go.d.plugin
  286. %if 0%{?_golang_build}
  287. cd "%{_builddir}/%{go_name}/%{go_name}-%{go_version}"
  288. sed -i 's|CGO_ENABLED=0 ||' "hack/go-build.sh"
  289. TRAVIS_TAG="%{go_version}" %{__make} build
  290. %endif
  291. %install
  292. # ###########################################################
  293. # Clear the directory, if already exists and install
  294. rm -rf "${RPM_BUILD_ROOT}"
  295. %{__make} %{?_smp_mflags} DESTDIR="${RPM_BUILD_ROOT}" install
  296. install -m 644 -p "system/%{name}.conf" "${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}"
  297. # ###########################################################
  298. # Install updater script
  299. install -m 755 -p packaging/installer/%{name}-updater.sh "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/%{name}-updater.sh"
  300. # ###########################################################
  301. # logrotate settings
  302. install -m 755 -d "${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d"
  303. install -m 644 -p "system/logrotate/%{name}" "${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}"
  304. # ###########################################################
  305. # Install freeipmi
  306. %if 0%{?_have_freeipmi}
  307. install -m 4750 -p freeipmi.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/freeipmi.plugin"
  308. %endif
  309. # ###########################################################
  310. # Install apps.plugin
  311. install -m 4750 -p apps.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/apps.plugin"
  312. # ###########################################################
  313. # Install debugfs.plugin
  314. install -m 0750 -p debugfs.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/debugfs.plugin"
  315. # ###########################################################
  316. # Install systemd-journal.plugin
  317. install -m 4750 -p systemd-journal.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/systemd-journal.plugin"
  318. # ###########################################################
  319. # Install logs-management.plugin
  320. #install -m 4750 -p logs-management.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/logs-management.plugin"
  321. # ###########################################################
  322. # Install perf.plugin
  323. install -m 4750 -p perf.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/perf.plugin"
  324. # ###########################################################
  325. # Install ebpf.plugin
  326. %if 0%{?_have_ebpf}
  327. install -m 4750 -p ebpf.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/ebpf.plugin"
  328. %endif
  329. # ###########################################################
  330. # Install cups.plugin
  331. %if 0%{?centos_ver} != 6 && 0%{?centos_ver} != 7
  332. install -m 0750 -p cups.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/cups.plugin"
  333. %endif
  334. # ###########################################################
  335. # Install slabinfo.plugin
  336. install -m 4750 -p slabinfo.plugin "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/slabinfo.plugin"
  337. # ###########################################################
  338. # Install cache and log directories
  339. install -m 755 -d "${RPM_BUILD_ROOT}%{_localstatedir}/cache/%{name}"
  340. install -m 755 -d "${RPM_BUILD_ROOT}%{_localstatedir}/log/%{name}"
  341. # ###########################################################
  342. # Install registry directory
  343. install -m 755 -d "${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}/registry"
  344. # ###########################################################
  345. # Install uninstaller script
  346. install -m 750 -p packaging/installer/%{name}-uninstaller.sh \
  347. "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/%{name}-uninstaller.sh"
  348. # ###########################################################
  349. # Install netdata service
  350. install -m 755 -d "${RPM_BUILD_ROOT}%{_unitdir}"
  351. %if 0%{?centos_ver} != 7 && 0%{?amazon_linux} != 2
  352. install -m 644 -p "system/systemd/%{name}.service" "${RPM_BUILD_ROOT}%{_unitdir}/%{name}.service"
  353. %else
  354. install -m 644 -p "system/systemd/%{name}.service.v235" "${RPM_BUILD_ROOT}%{_unitdir}/%{name}.service"
  355. %endif
  356. install -m 755 -d "${RPM_BUILD_ROOT}%{_presetdir}"
  357. install -m 644 -p "system/systemd/50-%{name}.preset" "${RPM_BUILD_ROOT}%{_presetdir}/50-%{name}.preset"
  358. # ############################################################
  359. # Package Go within netdata
  360. # Install builded go.d.plugin
  361. %if 0%{?_golang_build}
  362. install -m 0640 "%{_builddir}/%{go_name}/%{go_name}-%{go_version}/bin/godplugin" \
  363. "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/%{go_name}"
  364. cp -r "%{_builddir}/%{go_name}/go.d.conf" "%{_builddir}/%{go_name}/go.d" \
  365. "${RPM_BUILD_ROOT}%{_libdir}/%{name}/conf.d/"
  366. %else
  367. # Install binary go.d.plugin
  368. safe_sha256sum() {
  369. # Within the context of the installer, we only use -c option that is common between the two commands
  370. # We will have to reconsider if we start non-common options
  371. if command -v sha256sum >/dev/null 2>&1; then
  372. sha256sum $@
  373. elif command -v shasum >/dev/null 2>&1; then
  374. shasum -a 256 $@
  375. else
  376. fatal "I could not find a suitable checksum binary to use"
  377. fi
  378. }
  379. download_go() {
  380. url="${1}"
  381. dest="${2}"
  382. if command -v curl >/dev/null 2>&1; then
  383. curl -sSL --connect-timeout 10 --retry 3 "${url}" > "${dest}"
  384. elif command -v wget >/dev/null 2>&1; then
  385. wget -T 15 -O - "${url}" > "${dest}"
  386. else
  387. echo >&2
  388. echo >&2 "Downloading go.d plugin from '${url}' failed because of missing mandatory packages."
  389. echo >&2 "Either add packages or disable it by issuing '--disable-go' in the installer"
  390. echo >&2
  391. exit 1
  392. fi
  393. }
  394. install_go() {
  395. # When updating this value, ensure correct checksums in packaging/go.d.checksums
  396. GO_PACKAGE_VERSION="$(cat packaging/go.d.version)"
  397. ARCH_MAP=(
  398. 'i386::386'
  399. 'i686::386'
  400. 'x86_64::amd64'
  401. 'aarch64::arm64'
  402. 'armv64::arm64'
  403. 'armv6l::arm'
  404. 'armv7l::arm'
  405. 'armv5tel::arm'
  406. )
  407. if [ -z "${NETDATA_DISABLE_GO+x}" ]; then
  408. ARCH="%{_arch}"
  409. OS=$(uname -s | tr '[:upper:]' '[:lower:]')
  410. echo >&2 "Install go.d.plugin (ARCH=${ARCH}, OS=${OS})"
  411. for index in "${ARCH_MAP[@]}" ; do
  412. KEY="${index%%::*}"
  413. VALUE="${index##*::}"
  414. if [ "$KEY" = "$ARCH" ]; then
  415. ARCH="${VALUE}"
  416. break
  417. fi
  418. done
  419. tmp=$(mktemp -d /tmp/netdata-go-XXXXXX)
  420. GO_PACKAGE_BASENAME="go.d.plugin-${GO_PACKAGE_VERSION}.${OS}-${ARCH}.tar.gz"
  421. download_go "https://github.com/netdata/go.d.plugin/releases/download/${GO_PACKAGE_VERSION}/${GO_PACKAGE_BASENAME}" "${tmp}/${GO_PACKAGE_BASENAME}"
  422. download_go "https://github.com/netdata/go.d.plugin/releases/download/${GO_PACKAGE_VERSION}/config.tar.gz" "${tmp}/config.tar.gz"
  423. if [ ! -f "${tmp}/${GO_PACKAGE_BASENAME}" ] || [ ! -f "${tmp}/config.tar.gz" ] || [ ! -s "${tmp}/config.tar.gz" ] || [ ! -s "${tmp}/${GO_PACKAGE_BASENAME}" ]; then
  424. echo >&2 "Either check the error or consider disabling it by issuing '--disable-go' in the installer"
  425. echo >&2
  426. return 1
  427. fi
  428. grep "${GO_PACKAGE_BASENAME}\$" "packaging/go.d.checksums" > "${tmp}/sha256sums.txt" 2>/dev/null
  429. grep "config.tar.gz" "packaging/go.d.checksums" >> "${tmp}/sha256sums.txt" 2>/dev/null
  430. # Checksum validation
  431. if ! (cd "${tmp}" && safe_sha256sum -c "sha256sums.txt"); then
  432. echo >&2 "go.d plugin checksum validation failure."
  433. echo >&2 "Either check the error or consider disabling it by issuing '--disable-go' in the installer"
  434. echo >&2
  435. echo "go.d.plugin package files checksum validation failed."
  436. exit 1
  437. fi
  438. # Install files
  439. tar -xf "${tmp}/config.tar.gz" -C "${RPM_BUILD_ROOT}%{_libdir}/%{name}/conf.d/"
  440. tar xf "${tmp}/${GO_PACKAGE_BASENAME}"
  441. mv "${GO_PACKAGE_BASENAME/\.tar\.gz/}" "go.d.plugin"
  442. rm -rf "${tmp}"
  443. fi
  444. return 0
  445. }
  446. install_go
  447. install -m 0640 -p "%{go_name}" "${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d/%{go_name}"
  448. %endif
  449. %if 0%{?_have_ebpf}
  450. ${RPM_BUILD_DIR}/%{name}-%{version}/packaging/bundle-ebpf.sh ${RPM_BUILD_DIR}/%{name}-%{version} \
  451. ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/plugins.d
  452. %endif
  453. %pre
  454. if ! getent group %{name} > /dev/null; then
  455. groupadd --system %{name}
  456. fi
  457. if ! getent passwd %{name} > /dev/null; then
  458. useradd --system -g %{name} --home %{contentdir} --no-create-home -s /sbin/nologin -c "Netdata pseudo user" %{name}
  459. fi
  460. # I am not sure that the corresponding group names are exactly the same as in Debian, but we should start somewhere, shouldn't we?
  461. for item in docker nginx varnish haproxy adm nsd proxy squid ceph nobody I2C; do
  462. if getent group $item > /dev/null 2>&1; then
  463. usermod -a -G ${item} %{name}
  464. fi
  465. done
  466. %post
  467. %if 0%{?suse_version}
  468. %service_add_post %{name}.service
  469. %else
  470. %systemd_post %{name}.service
  471. %endif
  472. %preun
  473. %if 0%{?suse_version}
  474. %service_del_preun %{name}.service
  475. %else
  476. %systemd_preun %{name}.service
  477. %endif
  478. %postun
  479. %if 0%{?suse_version}
  480. %service_del_postun %{name}.service
  481. %else
  482. %systemd_postun_with_restart %{name}.service
  483. %endif
  484. %clean
  485. rm -rf "${RPM_BUILD_ROOT}"
  486. %files
  487. %doc README.md
  488. %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
  489. %config(noreplace) %{_sysconfdir}/%{name}/%{name}-updater.conf
  490. %attr(0755,root,netdata) %{_sysconfdir}/%{name}/edit-config
  491. %attr(0644,root,netdata) %{_sysconfdir}/%{name}/.install-type
  492. %dir %{_sysconfdir}/%{name}/health.d
  493. %dir %{_sysconfdir}/%{name}/statsd.d
  494. %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
  495. %{_libdir}/%{name}
  496. %{_sbindir}/%{name}
  497. %{_sbindir}/netdatacli
  498. %if 0%{?suse_version}
  499. # log2journal is not available on these systems
  500. %else
  501. %{_sbindir}/log2journal
  502. %endif
  503. %{_sbindir}/systemd-cat-native
  504. %{_sbindir}/%{name}-claim.sh
  505. %{_unitdir}/%{name}.service
  506. %{_presetdir}/50-%{name}.preset
  507. %dir %{_libexecdir}/%{name}
  508. %dir %{_libexecdir}/%{name}/plugins.d
  509. %defattr(0750,root,netdata,0750)
  510. %{_libexecdir}/%{name}/install-service.sh
  511. %{_libexecdir}/%{name}/%{name}-updater.sh
  512. %{_libexecdir}/%{name}/%{name}-uninstaller.sh
  513. %{_libexecdir}/%{name}/plugins.d/acl.sh
  514. %{_libexecdir}/%{name}/plugins.d/alarm.sh
  515. %{_libexecdir}/%{name}/plugins.d/alarm-email.sh
  516. %{_libexecdir}/%{name}/plugins.d/alarm-notify.sh
  517. %{_libexecdir}/%{name}/plugins.d/alarm-test.sh
  518. %{_libexecdir}/%{name}/plugins.d/anonymous-statistics.sh
  519. %{_libexecdir}/%{name}/plugins.d/cgroup-name.sh
  520. %{_libexecdir}/%{name}/plugins.d/get-kubernetes-labels.sh
  521. %{_libexecdir}/%{name}/plugins.d/health-cmdapi-test.sh
  522. %{_libexecdir}/%{name}/plugins.d/ioping.plugin
  523. %{_libexecdir}/%{name}/plugins.d/loopsleepms.sh.inc
  524. %{_libexecdir}/%{name}/plugins.d/request.sh
  525. %{_libexecdir}/%{name}/plugins.d/system-info.sh
  526. %{_libexecdir}/%{name}/plugins.d/tc-qos-helper.sh
  527. %{_libexecdir}/%{name}/plugins.d/template_dim.sh
  528. %{_libexecdir}/%{name}/plugins.d/ebpf_thread_function.sh
  529. # cgroup-network detects the network interfaces of CGROUPs
  530. # it must be able to use setns() and run cgroup-network-helper.sh as root
  531. # the helper script reads /proc/PID/fdinfo/* files, runs virsh, etc.
  532. %attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/cgroup-network
  533. %attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/cgroup-network-helper.sh
  534. # local-listeners detects the local processes that are listening for connections
  535. %attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/local-listeners
  536. # Enforce 0644 for files and 0755 for directories
  537. # for the netdata web directory
  538. %defattr(0644,root,root,0755)
  539. %{_datadir}/%{name}/web
  540. # Enforce 0660 for files and 0770 for directories
  541. # for the netdata lib, cache and log dirs
  542. %defattr(0660,root,netdata,0770)
  543. %attr(0770,netdata,netdata) %dir %{_localstatedir}/cache/%{name}
  544. %attr(0755,netdata,root) %dir %{_localstatedir}/log/%{name}
  545. %attr(0770,netdata,netdata) %dir %{_localstatedir}/lib/%{name}
  546. %attr(0770,netdata,netdata) %dir %{_localstatedir}/lib/%{name}/registry
  547. # Free IPMI belongs to a different sub-package
  548. %if 0%{?_have_freeipmi}
  549. %exclude %{_libexecdir}/%{name}/plugins.d/freeipmi.plugin
  550. %endif
  551. # NFACCT belongs to a different sub-package
  552. %if 0%{?_have_nfacct}
  553. %exclude %{_libexecdir}/%{name}/plugins.d/nfacct.plugin
  554. %endif
  555. # Charts.d belongs to a different sub-package
  556. %exclude %{_libexecdir}/%{name}/plugins.d/charts.d.plugin
  557. %exclude %{_libexecdir}/%{name}/plugins.d/charts.d.dryrun-helper.sh
  558. %exclude %{_libexecdir}/%{name}/charts.d/
  559. %exclude %{_libdir}/%{name}/conf.d/charts.d.conf
  560. %exclude %{_libdir}/%{name}/conf.d/charts.d/
  561. # eBPF belongs to a different sub-package
  562. %if 0%{?_have_ebpf}
  563. %exclude %{_libexecdir}/%{name}/plugins.d/ebpf.plugin
  564. %exclude %{_libdir}/%{name}/conf.d/ebpf.d.conf
  565. %exclude %{_libdir}/%{name}/conf.d/ebpf.d
  566. %exclude %{_libexecdir}/%{name}/plugins.d/ebpf.d
  567. %endif
  568. # Python.d belongs to a different sub-package
  569. %exclude %{_libexecdir}/%{name}/plugins.d/python.d.plugin
  570. %exclude %{_libexecdir}/%{name}/python.d
  571. %exclude %{_libdir}/%{name}/conf.d/python.d.conf
  572. %exclude %{_libdir}/%{name}/conf.d/python.d
  573. # Go.d belongs to a different sub-package
  574. %exclude %{_libexecdir}/%{name}/plugins.d/%{go_name}
  575. %exclude %{_libdir}/%{name}/conf.d/go.d.conf
  576. %exclude %{_libdir}/%{name}/conf.d/go.d
  577. # apps belongs to a different sub-package
  578. %exclude %{_libexecdir}/%{name}/plugins.d/apps.plugin
  579. %exclude %{_libdir}/%{name}/conf.d/apps_groups.conf
  580. # slabinfo belongs to a different sub-package
  581. %exclude %{_libexecdir}/%{name}/plugins.d/slabinfo.plugin
  582. # perf belongs to a different sub-package
  583. %exclude %{_libexecdir}/%{name}/plugins.d/perf.plugin
  584. # systemd-journal belongs to a different sub-package
  585. %exclude %{_libexecdir}/%{name}/plugins.d/systemd-journal.plugin
  586. # logs management belongs to a different sub-package
  587. %exclude %{_libexecdir}/%{name}/plugins.d/logs-management.plugin
  588. %exclude %{_libdir}/%{name}/conf.d/logsmanagement.d.conf
  589. %exclude %{_libdir}/%{name}/conf.d/logsmanagement.d
  590. # CUPS belongs to a different sub package
  591. %if 0%{?centos_ver} != 6 && 0%{?centos_ver} != 7
  592. %exclude %{_libexecdir}/%{name}/plugins.d/cups.plugin
  593. %package plugin-cups
  594. Summary: The CUPS metrics collection plugin for the Netdata Agent
  595. Group: Applications/System
  596. Requires: cups >= 1.7
  597. Requires: %{name} = %{version}
  598. %description plugin-cups
  599. This plugin allows the Netdata Agent to collect metrics from the Common UNIX Printing System.
  600. %pre plugin-cups
  601. if ! getent group %{name} > /dev/null; then
  602. groupadd --system %{name}
  603. fi
  604. %files plugin-cups
  605. %attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/cups.plugin
  606. %endif
  607. %if 0%{?_have_freeipmi}
  608. %package plugin-freeipmi
  609. Summary: The FreeIPMI metrics collection plugin for the Netdata Agent
  610. Group: Applications/System
  611. Requires: freeipmi
  612. Requires: %{name} = %{version}
  613. %description plugin-freeipmi
  614. This plugin allows the Netdata Agent to collect metrics from hardware using FreeIPMI.
  615. %pre plugin-freeipmi
  616. if ! getent group %{name} > /dev/null; then
  617. groupadd --system %{name}
  618. fi
  619. %files plugin-freeipmi
  620. %attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/freeipmi.plugin
  621. %endif
  622. %if 0%{?_have_nfacct}
  623. %package plugin-nfacct
  624. Summary: The NFACCT metrics collection plugin for the Netdata Agent
  625. Group: Applications/System
  626. Requires: %{name} = %{version}
  627. Conflicts: %{name} < %{version}
  628. %description plugin-nfacct
  629. This plugin allows the Netdata Agent to collect metrics from the firewall using NFACCT objects.
  630. %pre plugin-nfacct
  631. if ! getent group %{name} > /dev/null; then
  632. groupadd --system %{name}
  633. fi
  634. %files plugin-nfacct
  635. %attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/nfacct.plugin
  636. %endif
  637. %package plugin-chartsd
  638. Summary: The charts.d metrics collection plugin for the Netdata Agent
  639. Group: Applications/System
  640. Requires: bash
  641. Requires: %{name} = %{version}
  642. Conflicts: %{name} < %{version}
  643. %if 0%{?centos_ver} != 7
  644. Suggests: nut
  645. Suggests: apcupsd
  646. Suggests: iw
  647. Suggests: sudo
  648. %endif
  649. %description plugin-chartsd
  650. This plugin adds a selection of additional collectors written in shell script to the Netdata Agent.
  651. It includes collectors for NUT, APCUPSD, LibreSWAN, OpenSIPS, and Wireless access point statistics.
  652. %pre plugin-chartsd
  653. if ! getent group %{name} > /dev/null; then
  654. groupadd --system %{name}
  655. fi
  656. %files plugin-chartsd
  657. %defattr(0750,root,netdata,0750)
  658. %{_libexecdir}/%{name}/plugins.d/charts.d.plugin
  659. %{_libexecdir}/%{name}/plugins.d/charts.d.dryrun-helper.sh
  660. %{_libexecdir}/%{name}/charts.d/
  661. %defattr(0644,root,netdata,0755)
  662. %{_libdir}/%{name}/conf.d/charts.d.conf
  663. %{_libdir}/%{name}/conf.d/charts.d/
  664. %if 0%{?_have_ebpf}
  665. %package plugin-ebpf
  666. Summary: The eBPF metrics collection plugin for the Netdata Agent
  667. Group: Applications/System
  668. Requires: %{name} = %{version}
  669. Conflicts: %{name} < %{version}
  670. %if 0%{?centos_ver} != 7
  671. Recommends: %{name}-plugin-apps = %{version}
  672. Recommends: %{name}-ebpf-legacy-code >= %{version}
  673. %else
  674. Requires: %{name}-plugin-apps = %{version}
  675. Requires: %{name}-ebpf-legacy-code >= %{version}
  676. %endif
  677. %description plugin-ebpf
  678. This plugin allows the Netdata Agent to use eBPF code to collect more detailed kernel-level metrics for the system.
  679. %pre plugin-ebpf
  680. if ! getent group %{name} > /dev/null; then
  681. groupadd --system %{name}
  682. fi
  683. %files plugin-ebpf
  684. %defattr(4750,root,netdata,4750)
  685. %{_libexecdir}/%{name}/plugins.d/ebpf.plugin
  686. %defattr(0644,root,netdata,0755)
  687. %{_libdir}/%{name}/conf.d/ebpf.d.conf
  688. %{_libdir}/%{name}/conf.d/ebpf.d
  689. %package ebpf-legacy-code
  690. Summary: Compiled eBPF legacy code for the Netdata eBPF plugin
  691. Group: Applications/System
  692. Requires: %{name}-plugin-ebpf = %{version}
  693. Conflicts: %{name} < %{version}
  694. %description ebpf-legacy-code
  695. This package provides the pre-compiled eBPF legacy code for use by the Netdata eBPF plugin.
  696. This code is only needed when using the eBPF plugin with kernel versions before 5.10.
  697. %pre ebpf-legacy-code
  698. if ! getent group %{name} > /dev/null; then
  699. groupadd --system %{name}
  700. fi
  701. %files ebpf-legacy-code
  702. %defattr(0640,root,netdata,0640)
  703. %{_libexecdir}/%{name}/plugins.d/ebpf.d/*.o
  704. %endif
  705. %package plugin-pythond
  706. Summary: The python.d metrics collection plugin for the Netdata Agent
  707. Group: Applications/System
  708. Requires: %{name} = %{version}
  709. Conflicts: %{name} < %{version}
  710. %if 0%{?centos_ver} == 7 || 0%{?centos_ver} == 6
  711. Requires: python
  712. %else
  713. Requires: python3
  714. %endif
  715. %if 0%{?centos_ver} != 7
  716. Suggests: sudo
  717. %endif
  718. %description plugin-pythond
  719. This plugin adds a selection of additional collectors written in Python to the Netdata Agent.
  720. Many of the collectors provided by this package are also available in netdata-plugin-go. In msot cases, you probably
  721. want to use those versions instead of the Python versions.
  722. %pre plugin-pythond
  723. if ! getent group %{name} > /dev/null; then
  724. groupadd --system %{name}
  725. fi
  726. %files plugin-pythond
  727. %defattr(0750,root,netdata,0750)
  728. %{_libexecdir}/%{name}/plugins.d/python.d.plugin
  729. %{_libexecdir}/%{name}/python.d
  730. %defattr(0644,root,netdata,0755)
  731. %{_libdir}/%{name}/conf.d/python.d.conf
  732. %{_libdir}/%{name}/conf.d/python.d
  733. %package plugin-go
  734. Summary: The go.d metrics collection plugin for the Netdata Agent
  735. Group: Applications/System
  736. Requires: %{name} = %{version}
  737. Conflicts: %{name} < %{version}
  738. %if 0%{?centos_ver} != 7
  739. Suggests: nvme-cli
  740. Suggests: sudo
  741. %endif
  742. %description plugin-go
  743. This plugin adds a selection of additional collectors written in Go to the Netdata Agent
  744. A significant percentage of the application specific collectors provided by Netdata are part of this plugin,
  745. so most users will want it installed.
  746. %pre plugin-go
  747. if ! getent group %{name} > /dev/null; then
  748. groupadd --system %{name}
  749. fi
  750. %files plugin-go
  751. %defattr(0750,root,netdata,0750)
  752. # CAP_NET_ADMIN needed for WireGuard collector
  753. # CAP_NET_RAW needed for ping collector
  754. %caps(cap_net_admin,cap_net_raw=eip) %{_libexecdir}/%{name}/plugins.d/%{go_name}
  755. %defattr(0644,root,netdata,0755)
  756. %{_libdir}/%{name}/conf.d/go.d.conf
  757. %{_libdir}/%{name}/conf.d/go.d
  758. %package plugin-apps
  759. Summary: The per-application metrics collection plugin for the Netdata Agent
  760. Group: Applications/System
  761. Requires: %{name} = %{version}
  762. Conflicts: %{name} < %{version}
  763. %description plugin-apps
  764. This plugin allows the Netdata Agent to collect per-application and per-user metrics without using cgroups.
  765. %pre plugin-apps
  766. if ! getent group %{name} > /dev/null; then
  767. groupadd --system %{name}
  768. fi
  769. %files plugin-apps
  770. %defattr(0750,root,netdata,0750)
  771. # CAP_DAC_READ_SEARCH and CAP_SYS_PTRACE needed for data collection by the plugin.
  772. %caps(cap_dac_read_search,cap_sys_ptrace=ep) %{_libexecdir}/%{name}/plugins.d/apps.plugin
  773. %defattr(0644,root,netdata,0755)
  774. %{_libdir}/%{name}/conf.d/apps_groups.conf
  775. %package plugin-slabinfo
  776. Summary: The slabinfo metrics collector for the Netdata Agent
  777. Group: Applications/System
  778. Requires: %{name} = %{version}
  779. Conflicts: %{name} < %{version}
  780. %description plugin-slabinfo
  781. This plugin allows the Netdata Agent to collect perfromance and utilization metrics for the Linux kernel’s SLAB allocator.
  782. %pre plugin-slabinfo
  783. if ! getent group %{name} > /dev/null; then
  784. groupadd --system %{name}
  785. fi
  786. %files plugin-slabinfo
  787. %defattr(0750,root,netdata,0750)
  788. # CAP_DAC_READ_SEARCH needed to access the files the plugin reads to collect data.
  789. %caps(cap_dac_read_search=ep) %{_libexecdir}/%{name}/plugins.d/slabinfo.plugin
  790. %package plugin-perf
  791. Summary: The perf metrics collector for the Netdata Agent
  792. Group: Applications/System
  793. Requires: %{name} = %{version}
  794. Conflicts: %{name} < %{version}
  795. %description plugin-perf
  796. This plugin allows the Netdata to collect metrics from the Linux perf subsystem.
  797. %pre plugin-perf
  798. if ! getent group %{name} > /dev/null; then
  799. groupadd --system %{name}
  800. fi
  801. %files plugin-perf
  802. %defattr(0750,root,netdata,0750)
  803. # Either CAP_SYS_ADMIN or CAP_PERFMON needed for data collection
  804. # PERFMON is newer, so only try to use it on platforms which support it.
  805. %if 0%{?centos_ver} >= 9 || 0%{?fedora} >= 36
  806. %caps(cap_perfmon=ep) %{_libexecdir}/%{name}/plugins.d/perf.plugin
  807. %else
  808. %caps(cap_sys_admin=ep) %{_libexecdir}/%{name}/plugins.d/perf.plugin
  809. %endif
  810. %package plugin-debugfs
  811. Summary: The debugfs metrics collector for the Netdata Agent
  812. Group: Applications/System
  813. Requires: %{name} = %{version}
  814. Conflicts: %{name} < %{version}
  815. %description plugin-debugfs
  816. This plugin allows the Netdata Agent to collect Linux kernel metrics exposed through debugfs.
  817. %pre plugin-debugfs
  818. if ! getent group %{name} > /dev/null; then
  819. groupadd --system %{name}
  820. fi
  821. %files plugin-debugfs
  822. %defattr(0750,root,netdata,0750)
  823. # CAP_DAC_READ_SEARCH required for data collection.
  824. %caps(cap_dac_read_search=ep) %attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/debugfs.plugin
  825. %package plugin-systemd-journal
  826. Summary: The systemd-journal plugin for the Netdata Agent
  827. Group: Applications/System
  828. Requires: %{name} = %{version}
  829. Conflicts: %{name} < %{version}
  830. %description plugin-systemd-journal
  831. This plugin allows the Netdata Agent to present entries from the systemd
  832. journal on Netdata Cloud or the local Agent Dashboard.
  833. %pre plugin-systemd-journal
  834. if ! getent group %{name} > /dev/null; then
  835. groupadd --system %{name}
  836. fi
  837. %files plugin-systemd-journal
  838. %defattr(0750,root,netdata,0750)
  839. # CAP_DAC_READ_SEARCH required for data collection.
  840. %caps(cap_dac_read_search=ep) %attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/systemd-journal.plugin
  841. %package plugin-logs-management
  842. Summary: The logs-management plugin for the Netdata Agent
  843. Group: Applications/System
  844. Requires: %{name} = %{version}
  845. Conflicts: %{name} < %{version}
  846. %description plugin-logs-management
  847. This plugin allows the Netdata Agent to collect logs from the system
  848. and parse them to extract metrics.
  849. %pre plugin-logs-management
  850. if ! getent group %{name} > /dev/null; then
  851. groupadd --system %{name}
  852. fi
  853. %files plugin-logs-management
  854. %defattr(0644,root,netdata,0755)
  855. %{_libdir}/%{name}/conf.d/logsmanagement.d.conf
  856. %{_libdir}/%{name}/conf.d/logsmanagement.d
  857. %defattr(0750,root,netdata,0750)
  858. # CAP_DAC_READ_SEARCH and CAP_SYSLOG needed for data collection.
  859. %caps(cap_dac_read_search,cap_syslog=ep) %attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/logs-management.plugin
  860. %changelog
  861. * Thu Oct 26 2023 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-24
  862. - Add package for logs-management plugin
  863. * Mon Aug 28 2023 Konstantin Shalygin <k0ste@k0ste.ru> 0.0.0-23
  864. - Build go.d.plugin natively for CentOS Stream distro
  865. * Mon Aug 21 2023 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-22
  866. - Explicitly depend on version-matched plugins in native packages
  867. * Thu Aug 03 2023 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-21
  868. - Added systemd-journal plugin handling
  869. * Wed Jun 14 2023 Konstantin Shalygin <k0ste@k0ste.ru> 0.0.0-20
  870. - Added eBPF build dependency (again)
  871. * Fri Apr 07 2023 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-19
  872. - Split additional plugins out in their own packages.
  873. * Tue Mar 21 2023 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-18
  874. - Fix systemd handling to follow BCP.
  875. - Drop pre-systemd init support.
  876. * Thu Feb 16 2023 Konstantin Shalygin <k0ste@k0ste.ru> 0.0.0-17
  877. - Added eBPF build dependency
  878. * Thu Feb 03 2022 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-16
  879. - Bundle updater script in native packages.
  880. * Mon Oct 11 2021 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-15
  881. - Remove support code for legacy ACLK implementation.
  882. * Wed Sep 16 2020 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-14
  883. - Convert to using 'AutoReq: yes' for library dependencies.
  884. * Thu Feb 13 2020 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-13
  885. - Add handling for custom libmosquitto fork
  886. * Wed Jan 01 2020 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-12
  887. - Add explicit installation of log and cache directories
  888. - Clean up build dependencies.
  889. * Thu Dec 19 2019 Austin Hemmelgarn <austin@netdata.cloud> 0.0.0-11
  890. - Fix remaining ownership and permissions issues.
  891. * Mon Nov 04 2019 Konstantinos Natsakis <konstantinos.natsakis@gmail.com> 0.0.0-10
  892. - Fix /etc/netdata permissions
  893. * Mon Sep 23 2019 Konstantinos Natsakis <konstantinos.natsakis@gmail.com> 0.0.0-9
  894. - Do not build CUPS plugin subpackage on CentOS 6 and CentOS 7
  895. * Tue Aug 20 2019 Pavlos Emm. Katsoulakis <paul@netdat.acloud> - 0.0.0-8
  896. - Split CUPS functionality on separate package
  897. * Fri Jun 28 2019 Pavlos Emm. Katsoulakis <paul@netdata.cloud> - 0.0.0-7
  898. - Raise the path overrides to the spec file level, not just the configure.
  899. - Adjust tighter permissions on some folders, based on what we did on our installer
  900. - Introduce go.d plugin download and install, to include it on the package (Temporarily, to become separate package on next iteration)
  901. * Tue Jun 25 2019 Pavlos Emm. Katsoulakis <paul@netdata.cloud> - 0.0.0-6
  902. - Adjust dependency list: Some packages are missing on some distros, adopt to build successfully
  903. * Mon Jun 24 2019 Pavlos Emm. Katsoulakis <paul@netdata.cloud> - 0.0.0-5
  904. Another pass on cleaning up pre/post installation steps
  905. - Sync permission and ownership on files and directories
  906. * Sun Jun 16 2019 Pavlos Emm. Katsoulakis <paul@netdata.cloud> - 0.0.0-4
  907. First draft refactor on package dependencies section
  908. - Remove freeipmi/nfacct plugin flags. We auto-detect all plugins by decision
  909. - Start refactor of package dependencies
  910. - Add missing dependencies, with respect to distro peculiarities
  911. - Adjust existing dependencies, so that distro-specific package names is applied
  912. * Wed Jan 02 2019 Pawel Krupa <pkrupa@redhat.com> - 0.0.0-3
  913. - Temporary set version statically
  914. - Fix changelog ordering
  915. - Comment-out node.d configuration directory
  916. * Wed Jan 02 2019 Pawel Krupa <pkrupa@redhat.com> - 0.0.0-2
  917. - Fix permissions for log files
  918. * Sun Nov 15 2015 Alon Bar-Lev <alonbl@redhat.com> - 0.0.0-1
  919. - Initial add.